---
title: UI Tour
slug: Tools/Page_Inspector/UI_Tour
tags:
  - Guide
  - Inspector
  - Tools
---
<div>{{ToolsSidebar}}</div>

<p>This article is a quick tour of the main sections of the Page Inspector's user interface.</p>

<p>It covers the three top-level components of the Inspector's UI:</p>

<ul>
 <li>the "Select element" button</li>
 <li>the HTML pane</li>
 <li>the CSS pane</li>
</ul>

<p><img alt="The all-new Inspector panel in Firefox 57." src="https://mdn.mozillademos.org/files/16374/pageInspector.png" style="display: block; height: 734px; margin-left: auto; margin-right: auto; width: 850px;">This guide is intentionally kept as short as possible. It links to various how to guides for the details of how to work with the Inspector.</p>

<h2 id="Select_element_button">Select element button</h2>

<p>The Inspector gives you detailed information about the currently selected element. The Select element button is one way you can select an element for inspection:</p>

<p><img alt="This is the button in Firefox 57 Inspector you can use to select elements on a web page." src="https://mdn.mozillademos.org/files/16375/select_element_button.png" style="border: 1px solid black; display: block; height: 71px; margin-left: auto; margin-right: auto; width: 193px;"></p>

<p>Note that it's actually part of the <a href="/en-US/docs/Tools/Tools_Toolbox#Toolbar">main toolbox toolbar</a>, so it's immediately accessible from any tool, not just the Inspector.</p>

<p>To learn how to select an element, see the guide to <a href="/en-US/docs/Tools/Page_Inspector/How_to/Select_an_element">selecting an element</a>.</p>

<h2 id="HTML_pane">HTML pane</h2>

<p>The Inspector is split into two or three sections, depending on your settings. You can toggle the 3-pane view of the Inspector. The following image shows the 2-pane layout:</p>

<p><img alt="These are the tasty new HTML and CSS panes in Firefox 57." src="https://mdn.mozillademos.org/files/16379/inspector_2Pane.png" style="border: 1px solid black; display: block; height: 403px; margin-left: auto; margin-right: auto; width: 800px;"></p>

<p>In 2-pane mode, the Inspector includes the HTML Pane, and the CSS Pane, which can contain one of six tools:</p>

<ul>
 <li>Rules view</li>
 <li>Layout view</li>
 <li>Computed view</li>
 <li>Changes view</li>
 <li>Compatibility view (Firefox Developer Edition 77 and later)</li>
 <li>Fonts view</li>
 <li>Animations view</li>
</ul>

<p>The following image shows the 3-pane mode (available from Firefox 62 onwards) which moves the CSS Rules view into a separate pane in the center of the Inspector. The following image shows 3-pane mode:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16376/inspector_tool.png" style="border: 1px solid black; display: block; height: 322px; margin: 0 auto; width: 800px;"></p>

<p>As you can see, the CSS pane has moved into the center of the Inspector. To learn more about the structure of the HTML pane, see the guide to <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_HTML">examining and editing HTML</a>.</p>

<h2 id="Rules_view">Rules view</h2>

<p>The Rules view lists all the rules that apply to the selected element, ordered from most-specific to least-specific. See above.</p>

<p><img alt="The rules view within the Inspector." src="https://mdn.mozillademos.org/files/16378/indpextor_rules.png" style="border: 1px solid black; display: block; height: 373px; margin-left: auto; margin-right: auto; width: 349px;"></p>

<p>See <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_CSS">Examine and edit CSS</a> for more details.</p>

<h3 id="Layout_view">Layout view</h3>

<p>The Layout view displays the box model of the page. If the page includes any sections using either the Flexbox display model or CSS Grids, this view shows the Flexbox or Grid settings used on the page.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16382/inspector_layout.png" style="border: 1px solid black; display: block; height: 374px; margin: 0px auto; width: 354px;"></p>

<p>To learn more about the Layout view, see <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_the_box_model">Examine and edit the box model</a>. Note that before Firefox 50, the box model view did not appear in the "Computed view" tab, but had its own tab.</p>

<p>To learn more about the CSS declarations listed in this view, see <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_CSS#Examine_computed_CSS">Examine computed CSS</a>.</p>

<h3 id="Changes_view">Changes view</h3>

<p>When you are editing in the Rules view, you can see the changes you have made in the Changes view.</p>

<p><img alt="Screenshot of the Changes view" src="https://mdn.mozillademos.org/files/16448/track_changes.png" style="border-style: solid; border-width: 1px; height: 258px; width: 702px;"></p>

<h3 id="Computed_view">Computed view</h3>

<p>The Computed view shows you the complete computed CSS for the selected element (The computed values are the same as what <a href="/en-US/docs/Web/API/Window/getComputedStyle">getComputedStyle </a>would return.):</p>

<p><img alt="The Computed view within the Inspector." src="https://mdn.mozillademos.org/files/16381/inspector_computed.png" style="border: 1px solid black; display: block; height: 374px; margin-left: auto; margin-right: auto; width: 354px;"></p>

<h3 id="Compatibility_view">Compatibility view</h3>

<p>Starting with Firefox Developer Edition version 77, the Compatibility view shows CSS compability issues, if any, for properties applied to the selected element, and for the current page as a whole. It shows icons for the browsers that <em>do</em> support the properties, and notes properties that are experimental or deprecated.</p>

<p><img alt="Screenshot of the Compatibility view" src="https://mdn.mozillademos.org/files/17219/compat_view.png" style="height: 441px; width: 366px;"></p>

<ul>
 <li>Click the name of the property to open the reference article for that property on <em>MDN Web Docs</em>. The "Browser compatibility" section of the article gives details of browser support for the property.</li>
 <li>In the <strong>All Issues</strong> section, click the name of the element that uses the property to select that element in the inspector. If more than one element has a given property applied to it, click the triangle to show all the occurences.</li>
 <li>To configure the set of browsers you want the Compatibility view to check for, click <strong>Settings</strong> at the bottom of the panel.</li>
</ul>

<p><img alt="Screenshot of the Settings for the Compatibility view" src="https://mdn.mozillademos.org/files/17220/compat_panel_settings.png" style="height: 657px; width: 366px;"></p>

<p>Untick the checkbox for any browser you are not interested in. As new browser versions are released, the version numbers in this list will be updated.</p>

<h3 id="Fonts_view">Fonts view</h3>

<p>The Fonts view shows all the fonts in the page along with editable samples.</p>

<p><img alt="The all-new Inspector panel in Firefox 57." src="https://mdn.mozillademos.org/files/16385/inspector_fonts.png" style="border: 1px solid black; display: block; height: 374px; margin-left: auto; margin-right: auto; width: 354px;"></p>

<p>See <a href="/en-US/docs/Tools/Page_Inspector/How_to/View_fonts">View fonts</a> for more details.</p>

<h3 id="Animations_view">Animations view</h3>

<p>The Animations view gives you details of any animations applied to the selected element, and a controller to pause them:</p>

<p><img alt="This is the Animations pane in the Firefox 57 Inspector. " src="https://mdn.mozillademos.org/files/16384/animation_detail.png" style="border: 1px solid black; display: block; height: 411px; margin-left: auto; margin-right: auto; width: 559px;"></p>

<p>See <a href="/en-US/docs/Tools/Page_Inspector/How_to/Work_with_animations">Work with animations</a> for more details.</p>
